Attribute VB_Name = "Declarations"
Option Private Module
Option Explicit

Public Const SHEET_SOURCES = ""
Public Const SHEET_TASKS = ""
Public Const SHEET_PARAMS = ""

Public Const TABLE_SOURCE_LOCATIONS = "t_SourceLocations"
Public Const TABLE_STATUSES = "t_Status"

Public Const WORD_MASK = "*.doc*"

Public Const FIRST_ROW = 2

' Task type
Public Enum TTaskType
  T_TT_OPEN = 0
  T_TT_CLOSED = 1
  T_TT_CANCELED = 2
End Enum

' _SRC_ - Source structure
Public Enum SourceStruct
  [_First] = 1
  
  S_SRC_ID = 1
  S_SRC_PROJECT = 2
  S_SRC_FILE = 3
  
  [_Last] = 3
End Enum

' _TASK_ - Task structure
Public Enum TaskStruct
  [_First] = 1
  
  S_TASK_ID = 1
  S_TASK_DATE = 2
  S_TASK_PROJECT = 3
  S_TASK_STATUS = 4
  S_TASK_TEXT = 5
  S_TASK_RESPONSIBLE = 6
  S_TASK_SOURCE_ID = 7
  
  [_Last] = 7
End Enum
